Skip to main content
GET
/
memberships
/
cp
/
api
/
subscription-contract-details
/
subscription-fulfillments
/
{contractId}
List Shopify fulfillments for a subscription contract
curl --request GET \
  --url https://www.myshop.com/apps/memberships/cp/api/subscription-contract-details/subscription-fulfillments/{contractId}
{
  "get__typename": "<string>",
  "id": "<string>",
  "fulfillmentOrders": {
    "get__typename": "<string>",
    "nodes": [
      {
        "get__typename": "<string>",
        "fulfillAt": {},
        "id": "<string>"
      }
    ],
    "pageInfo": {
      "get__typename": "<string>",
      "hasPreviousPage": true,
      "hasNextPage": true,
      "startCursor": "<string>",
      "endCursor": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.appstle.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

contractId
integer<int64>
required

Response

200 - */*

OK

get__typename
string
id
string
fulfillmentOrders
object